Page MenuHomePhabricator

browsertests: configure Zuul
Closed, ResolvedPublic

Description

This is a sub project of bug 53697 https://www.mediawiki.org/wiki/Continuous_integration/Browser_tests

It covers setting up the Zuul configuration to trigger browser tests. From the wiki page:

The exact workflow would need to be figured out with the VisualEditor team. A first step would be to run the browser tests after a change has been merged and report back in Gerrit for their information.
At first we will only want to run browser tests after a change has been merged. This let us load the system progressively without disrupting the VisualEditor authors.

We can later on make Zuul report back in Gerrit a message stating the result of the tests, that will raise awareness among developers and they can work on fixing the unsuccessful tests. Additionally, we can have the browser tests to be triggered on every patchset, the labs instance load will have to be carefully monitored.

Once tests are properly passing and the setup has been proven useful, we can make Zuul to block patchsets not passing the browser tests. The developers would then be required to fix the code or the test to have their change merged in


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz54387

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:05 AM
bzimport set Reference to bz54387.
hashar created this task.Sep 20 2013, 4:50 PM

CCing Željko Filipin on any continuous bug related to browsertests. Main tracking bug is: bug 53697, see https://bugzilla.wikimedia.org/showdependencytree.cgi?id=53697&hide_resolved=0

hashar added a comment.Dec 2 2013, 2:16 PM

Being added on an ongoing basis. Already added the ULS browser tests in the Zuul 'test' pipeline.